Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000745 [Piwigo] template feature N/A 2007.09.13 15:42 2008.06.07 22:22
Reporter nadglobtrotter View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 1 Product Version 1.7.0
  Target Version 2.0.0 Product Build
Summary 0000745: CSS séparé pour diaporama / Separate CSS for slideshow
Description Aujourd'hui la mise en forme du diaporama dépend de celle de la page picture.php (même fichier CSS).
Pour compléter de manière cohérente la différenciation de structure qui avait commencé à être faite entre le diaporama et la présentation manuelle des photos (séparation des templates picture.tpl et slideshow.tpl) il faudrait également séparer la mise en forme en créant un CSS spécifique au diaporama, par exemple slideshow.css.

Ceci avait commencé à être discuté sur le post http://forum.phpwebgallery.net/viewtopic.php?pid=53478#p53478 [^] du forum.

Aujourd'hui le HEADER.tpl est commun à picture.tpl et à slideshow.tpl; Si cette structure est conservée, on peut alors mettre une condition sur le css à choisir : si le diaporama est activé alors on charge slideshow.css, et sinon theme.css, ou un fonctionnement similaire (un peu comme ce qu'avait proposé repié dans son MOD pour choisir le template : http://forum.phpwebgallery.net/viewtopic.php?pid=51846#p51846). [^]

Cette amélioration pourrait être pratique pour beaucoup d'utilisateurs, au vu des diverses demandes de personnalisation présentes sur le forum.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001983)
VDigital (reporter)
2007.09.13 16:15

Dans le cadre d'un diaporama, dès que le thème propose un slideshow.css alors ce dernier sera sollicité après theme.css:

1 - Le diaporama bénéficiera de toutes les directives existantes
2 - La surcharge se fera par d'autres directives en fonction des besoins du diaporama.
(0002025)
VDigital (reporter)
2007.11.23 00:21

Implementation is simple.

Add a local-slideshow.css in your theme directory for example:
#copyright { background: #def; border: solid 1px 0000036; color: #000000;
    margin: 30px 0px 10px 0px; padding: 20px 20px 40px 20px;
    position: relative; overflow: hidden; }

or
#copyright, #theHeader { display: none; }
(0002026)
VDigital (reporter)
2007.11.23 00:41

[Subversion] r2169

New feature: 745 Separate CSS for slideshow
Modified : /trunk/picture.php
Modified : /trunk/template/yoga/header.tpl
(0002035)
nadglobtrotter (reporter)
2007.12.08 17:10
edited on: 2007.12.08 17:53

Désolée Vdigital, mais quand je remplace picture.php j'obtiens cette erreur à l'exécution :
Fatal error: Call to undefined function is_a_guest() in /mnt/145/sdb/9/9/nadglobtrotter/phpwebgallery/picture.php on line 593

Est-ce une question de version de PWG? J'ai la version 1.7.0.

*Update* : en comparant avec l'ancien fichier picture.php ligne 593, la différence est la suivante :
- Dans le nouveau picture.php :
if (!is_a_guest())
- Dans l'ancien :
if (!$user['is_the_guest'])

Comme je n'ai pas vu d'autres changements dans le IF, j'ai remplacé la nouvelle condition par l'ancienne. Maintenant ma page s'affiche correctement, mais mon changement n'est peut-être pas ce qu'il y avait de mieux à faire. Peux-tu m'éclairer?
Merci.

(0002036)
VDigital (reporter)
2007.12.08 19:53

La fonction is_a_guest() ne sera disponible qu'en 1.8
8-)

- Issue History
Date Modified Username Field Change
2007.09.13 15:42 nadglobtrotter New Issue
2007.09.13 15:42 nadglobtrotter browser => any
2007.09.13 15:42 nadglobtrotter Web server => Apache 1.3.x
2007.09.13 15:46 nadglobtrotter Issue Monitored: nadglobtrotter
2007.09.13 16:15 VDigital Note Added: 0001983
2007.09.13 16:15 VDigital Assigned To => VDigital
2007.09.13 16:15 VDigital Status new => acknowledged
2007.11.23 00:21 VDigital Note Added: 0002025
2007.11.23 00:41 VDigital Status acknowledged => resolved
2007.11.23 00:41 VDigital Fixed in Version => Butterfly 1
2007.11.23 00:41 VDigital Resolution open => fixed
2007.11.23 00:41 VDigital Note Added: 0002026
2007.12.08 17:10 nadglobtrotter Status resolved => feedback
2007.12.08 17:10 nadglobtrotter Resolution fixed => reopened
2007.12.08 17:10 nadglobtrotter Note Added: 0002035
2007.12.08 17:53 nadglobtrotter Note Edited: 0002035
2007.12.08 19:53 VDigital Note Added: 0002036
2007.12.08 19:54 VDigital Status feedback => resolved
2007.12.08 19:54 VDigital Resolution reopened => fixed
2008.01.28 17:50 mathiasm Status resolved => closed
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker